Skip to main content
PATCH
/
v1
/
products
/
{entity_id}
Patch Product
curl --request PATCH \
  --url https://api.example.com/v1/products/{entity_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_id": "<string>",
  "product_name": "<string>",
  "product_group": "<string>",
  "manufacturer": "<string>",
  "brand": "<string>",
  "status": "<string>",
  "product_type": "<string>",
  "barcode": "<string>",
  "stock_on_hand": 123,
  "category_1": "<string>",
  "category_2": "<string>",
  "category_3": "<string>",
  "category_4": "<string>",
  "category_5": "<string>",
  "image_url": "<string>",
  "product_url": "<string>",
  "rrp": 123,
  "regular_price": 123,
  "product_created_date": "2023-12-25",
  "price_effective_date": "2023-12-25",
  "cost_effective_date": "2023-12-25",
  "size": "<string>",
  "color": "<string>",
  "uom": "<string>",
  "tax_rate": 123,
  "currency": "<string>",
  "item_id": "<string>",
  "sku": "<string>",
  "sku_name": "<string>",
  "current_price": 123,
  "unit_cost": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "item_id": "<string>",
  "sku": "<string>",
  "product_id": "<string>",
  "product_name": "<string>",
  "product_group": "<string>",
  "manufacturer": "<string>",
  "brand": "<string>",
  "status": "<string>",
  "product_type": "<string>",
  "barcode": "<string>",
  "stock_on_hand": "<string>",
  "category_1": "<string>",
  "category_2": "<string>",
  "category_3": "<string>",
  "category_4": "<string>",
  "category_5": "<string>",
  "image_url": "<string>",
  "product_url": "<string>",
  "rrp": "<string>",
  "regular_price": "<string>",
  "product_created_date": "2023-12-25",
  "price_effective_date": "2023-12-25",
  "cost_effective_date": "2023-12-25",
  "size": "<string>",
  "color": "<string>",
  "uom": "<string>",
  "tax_rate": "<string>",
  "currency": "<string>",
  "sku_name": "<string>",
  "current_price": "<string>",
  "unit_cost": "<string>"
}

Path Parameters

entity_id
string<uuid>
required

Body

application/json
product_id
string | null
product_name
string | null
product_group
string | null
manufacturer
string | null
brand
string | null
status
string | null
product_type
string | null
barcode
string | null
stock_on_hand
category_1
string | null
category_2
string | null
category_3
string | null
category_4
string | null
category_5
string | null
image_url
string | null
product_url
string | null
rrp
regular_price
product_created_date
string<date> | null
price_effective_date
string<date> | null
cost_effective_date
string<date> | null
size
string | null
color
string | null
uom
string | null
tax_rate
currency
string | null
item_id
string | null
sku
string | null
sku_name
string | null
current_price
unit_cost

Response

Successful Response

id
string<uuid>
required
item_id
string
required
sku
string
required
product_id
string | null
product_name
string | null
product_group
string | null
manufacturer
string | null
brand
string | null
status
string | null
product_type
string | null
barcode
string | null
stock_on_hand
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
category_1
string | null
category_2
string | null
category_3
string | null
category_4
string | null
category_5
string | null
image_url
string | null
product_url
string | null
rrp
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
regular_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
product_created_date
string<date> | null
price_effective_date
string<date> | null
cost_effective_date
string<date> | null
size
string | null
color
string | null
uom
string | null
tax_rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
sku_name
string | null
current_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
unit_cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$